#!/bin/bash

current=$(pwd)

apt-get update >> /tmp/clamav.log 2>&1 
apt-get install -y git build-essential automake autoconf zlib1g-dev libssl-dev libjson-c-dev libcurlpp-dev >> /tmp/clamav.log 2>&1

wget -O /usr/local/src/clamav.tar.gz https://www.clamav.net/downloads/production/clamav-0.100.0.tar.gz
cd /usr/local/src || exit

tar -xzvf clamav.tar.gz
cd clamav-0.100.0 || exit

./configure
make -j "$(nproc)"
make install

cp $current/cron/freshclam /etc/cron.daily/freshclam
chmod +x /etc/cron.daily/freshclam